import { SubmitFeeItemCategoryeModel } from "@/api/feeItemCategory/FeeItemCategoryModle"
import { EditType } from "@/type/BaseEnum"
import { ref } from "vue"
import { addFeeItemCategoryApi,editFeeItemCategoryApi,deleteFeeItemCategoryApi } from "@/api/feeItemCategory/FeeItemCategory"
import { Result } from "@/http/request"
import useInstance from "@/hooks/useInstance"
import {formatDateTime} from "@/utils/dateFormate"
export default function userFeeItemCategory(getFeeItemCategoryList) {
    const { global } = useInstance();
    //定义弹框的 ref属性
    const adFeeItemCategoryRef = ref<{ show: (type: string, row?: SubmitFeeItemCategoryeModel) => void }>()
    //新增
    const addBtn = () => {
        adFeeItemCategoryRef.value?.show(EditType.ADD)
    }
    //编辑
    const editBtn = (row: SubmitFeeItemCategoryeModel) => {      
        adFeeItemCategoryRef.value?.show(EditType.EDIT, row)
    }
    //删除
    const deleteBtn = async (id: number) => {
        let parm = {
            id: id
        }
        //信息确认
        let confirm = await global.$myconfirm('确定删除该数据吗?')
        if (confirm) {
            let res = await deleteFeeItemCategoryApi(parm)
            if (res && res.code == 200) {
                //信息提示
                global.$message({ message: res.msg, type: 'success' })
                //刷新表格
                getFeeItemCategoryList();

            }
        }
    }
    //保存
    const save = async (parm: SubmitFeeItemCategoryeModel) => {    
        let res: Result;
        if (parm.type == EditType.ADD) {
            res = await addFeeItemCategoryApi(parm)
        } else {
            res = await editFeeItemCategoryApi(parm)
        }
        if (res && res.code == 200) {
            //信息提示
            global.$message({ message: res.msg, type: 'success' })
            //刷新表格
            getFeeItemCategoryList();
        }
    } 
 
    return {
        addBtn,
        editBtn,
        deleteBtn,
        save,   
        adFeeItemCategoryRef,
    }
}